- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxIOInfo Class Reference

Search for all occurrences

## Detailed Description

usage only by Readers and Writers to handle information in a class removed ( StreamOptions )

Definition at line 51 of file fbxiosettings.h.

`#include <fbxiosettings.h>`

List of all members.

## Public Types
enum | EImpExp { eImport, eExport }
## Public Member Functions
| FbxIOInfo ()
| Default constructor.
void | Reset (EImpExp pImpExp)
| Set values to default/.
void | SetTimeMode (FbxTime::EMode pTimeMode, double pCustomFrameRate=0.0)
| If pTimeMode is set to FbxTime::eDefaultMode, pCustomFrameRate is used instead.
FbxTime::EMode | GetTimeMode ()
| A time mode set to FbxTime::eDefaultMode means a custom frame rate is set.
FbxTime | GetFramePeriod ()
| Get frame period associated with time mode or a custom frame period if time mode is set to FbxTime::eDefaultMode.
void | SetASFScene (FbxObject *pASFScene, bool pASFSceneOwned=false)
FbxObject * | GetASFScene ()
void | Set_IOS (FbxIOSettings *pIOS)
void | SetImportExportMode (EImpExp pImpExp)
| Set Import / Export usage.

## Member Enumeration Documentation

enum EImpExp

Search for all occurrences

Enumerator:

  eImport | Search for all occurrences
  eExport | Search for all occurrences

Definition at line 54 of file fbxiosettings.h.

        {
            eImport,
            eExport
        };

## Constructor & Destructor Documentation

FbxIOInfo | ( |  | ) |

Default constructor.

## Member Function Documentation

void Reset | ( | EImpExp | pImpExp | ) |

Search for all occurrences

Set values to default/.

void SetTimeMode | ( | FbxTime::EMode | pTimeMode,
|  | double | pCustomFrameRate = `0.0`
| ) |  |

Search for all occurrences

If pTimeMode is set to FbxTime::eDefaultMode, pCustomFrameRate is used instead.

FbxTime::EMode GetTimeMode | ( |  | ) | `[inline]`

Search for all occurrences

A time mode set to FbxTime::eDefaultMode means a custom frame rate is set.

Definition at line 71 of file fbxiosettings.h.

    { return mTimeMode; }

FbxTime GetFramePeriod | ( |  | ) |

Search for all occurrences

Get frame period associated with time mode or a custom frame period if time mode is set to FbxTime::eDefaultMode.

void SetASFScene | ( | FbxObject * | pASFScene,
|  | bool | pASFSceneOwned = `false`
| ) |  |

Search for all occurrences

FbxObject* GetASFScene | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 77 of file fbxiosettings.h.

    { return mASFScene; }

void Set_IOS | ( | FbxIOSettings * | pIOS | ) | `[inline]`

Search for all occurrences

Definition at line 79 of file fbxiosettings.h.

    {ios = pIOS;}

void SetImportExportMode | ( | EImpExp | pImpExp | ) | `[inline]`

Search for all occurrences

Set Import / Export usage.

Definition at line 82 of file fbxiosettings.h.

    {mImpExp = pImpExp;}

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbxiosettings.h

FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo
FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo FbxIOInfo